/**
 * Created by:tm  Date:2018/9/18
 */
/**
 * 存储数据到loaclStorage 对于item才给定过期时间 半小时计算
 * @param key
 * @param data
 * @param expires
 */
const setLocalItem = (key, data, expires = 72) => {
  let o = {
    _t: expires * 18e5 + new Date().getTime(),
    _d: data
  }
  localStorage.setItem(key, JSON.stringify(o))
}

export default setLocalItem
