/**
 * Created by:tm  Date:2018/10/11
 */
/**
 * 配置跳转相关字段
 * @param data
 * @returns {*}
 * @private
 */
const getScheme = (data) => {
  let scheme_Adr
  let url
  let iosUrl
  if (data.scheme_Adr) {
    // 配置跳转规则
    if (data.webView) {
      scheme_Adr = data.scheme_Adr + '://goto?page=web&url=' + encodeURIComponent(location.href)
    } else {
      let comicId = data.comic_id
      scheme_Adr = data.scheme_Adr + '://goto?page=' + (comicId ? 'dir' : 'index') + '&comic_id=' + comicId
    }
  }
  // 生成APP下载地址
  if (data.link) {
    url = data.link
    iosUrl = data.link
  } else {
    url = 'http://a.app.qq.com/o/simple.jsp?pkgname=' + data.pkgname + '&ckey=' + data.ckey
    iosUrl = data.iosurl || url
  }
  return Object.assign({}, data, {
    url,
    iosUrl,
    scheme_Adr
  })
}

export default getScheme
