/**
 * Created by:tm  Date:2018/11/8
 */
/**
 * 获取url参数
 * @param url
 * @param name
 * @returns {*}
 */
const getUrlSearch = (url, name) => {
  let reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i')
  let r = url.slice(url.indexOf('?') + 1).match(reg)
  if (r != null) {
    try {
      return decodeURIComponent(r[2])
    } catch (_e) {
      return null
    }
  }
  return null
}

export default getUrlSearch
